unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Zoomler, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Zoomler1: TZoomler;
    Panel2: TPanel;
    CheckBox1: TCheckBox;
    procedure Zoomler1Changed(Sender: TObject);
    procedure Zoomler1Scrolling(Sender: TObject);
  private
    { Private declarations }
    procedure DrawPlot;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{*** Draw something in Start/Finish range ***}
procedure TForm1.DrawPlot;
var xs,y:integer;
    coef,xi:double;
begin
    Image1.Canvas.FillRect(Image1.ClientRect);
    with Zoomler1 do begin
      coef:=(Finish-Start)/Image1.Width;
      for xs:=0 to Image1.Width do begin
       xi:=xs*coef+Start;
       y:=Round(xi*sin((xi)/3))+120;
       if y<120 then Image1.Canvas.Pen.Color:=clRed
                else Image1.Canvas.Pen.Color:=clBlue;
       Image1.Canvas.MoveTo(xs,120);
       Image1.Canvas.LineTo(xs,y);
      end;
    end;
end;

{*** Update after user releases the control ***}
procedure TForm1.Zoomler1Changed(Sender: TObject);
begin
    DrawPlot;
end;

{*** Update during scrolling or zooming ***}
procedure TForm1.Zoomler1Scrolling(Sender: TObject);
begin
   if CheckBox1.Checked then begin
      DrawPlot;
      Repaint; // for better responce
   end;
end;

end.
